Bug 507045 - System crash while opening display settings
System crash while opening display settings
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
11
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-19 21:10 EDT by Jerry Whitaker
Modified: 2009-11-09 06:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-09 06:18:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jerry Whitaker 2009-06-19 21:10:15 EDT
Description of problem:

Clicking `display` in system settings causes crash.

Version-Release number of selected component (if applicable):


How reproducible:

Happens every time.


Steps to Reproduce:
1.Open system settings
2.Click display
3.
  
Actual results:

Screen goes blank (as if no signal as monitor goes into power saving mode) and computer freezes. Wont respond to keyboard or power button.

Expected results:

Display settings to open.

Additional info:

ATI radeon 9800 AGP with 1.4 Mesa 7.5-devel driver
Comment 1 Henry Rust 2009-07-22 09:00:17 EDT
I have the same bug with Fedora 11 64 bit edition.

My graphic card:

ATI radeon 1950 Pro with radeon driver from the xorg-x11-drv-ati package and Mesa 7.6.0.1.
Comment 2 Matěj Cepl 2009-11-05 13:32:45 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 3 Henry Rust 2009-11-08 08:52:49 EST
After I had updated to Fedora 12, it now works for me.
Comment 4 Matěj Cepl 2009-11-09 06:18:46 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.